PEAK XOOPS - Re: Protector 3.30 beta in englishin japanese

Re: Protector 3.30 beta

  • As this forum is only for commentation, you cannot open a new topic
  • Guests cannot post into this forum
Target Downloads
Subject Protector 3.50 beta
Summary = SUMMARY =Protector is a module to defend your CMS origined from XOOPS2 from various and malicious attacks.This module can protect a various kind of attacks like:- DoS- Bad Crawlers (like bots collecting e-mails...)- SQL Injection- XSS (not all though...
Previous post - Next post | Parent - Children.1 .2 .3 .4 .5 .6 | Posted on 2009/1/15 20:23 | Last modified
McDonald  Lance Corporal From: www.ronsrovlinks.nl  Posts: 30
Hello GIJOE,

Maybe a stupid remark from me, but when I unzip Protector 3.30 beta I see that the patches for the ../class/databasefactory.php are in XOOPS_TRUST_PATH/modules/protector/patches/.
I assume this folder should not be uploaded as found in the zip file, but the patched file only to ../class/database/. Correct?
Votes:14 Average:7.14
Previous post - Next post | Parent - No child | Posted on 2009/1/16 5:22
GIJOE  Gunnery Sergeant   Posts: 4110
hi McDonald.

Quote:

Maybe a stupid remark from me, but when I unzip Protector 3.30 beta I see that the patches for the ../class/databasefactory.php are in XOOPS_TRUST_PATH/modules/protector/patches/.
I assume this folder should not be uploaded as found in the zip file, but the patched file only to ../class/database/. Correct?
Yes.

copy xoops_trust_path/modules/protector/patches/(core_versions)/databasefactory.php in the archive into your ROOT/class/database/
Votes:13 Average:8.46
Previous post - Next post | Parent - No child | Posted on 2009/1/29 7:29
pcnador  Private   Posts: 2
Hello

when I've upgraded to this new version I've found this warning :
databasefactory.php' : Your databasefactory is not ready for DBLayer Trapping anti-SQL-Injection. Some patches are required

what do I need to do to fix this issus especialy my website hacked many times last days
Votes:14 Average:7.14
Previous post - Next post | Parent - No child | Posted on 2009/1/29 7:44
vaughan  Lance Corporal   Posts: 37
if you read the readme file included in the package it states you need to apply a patch to your XOOPS

you can find the patches directory in xoops_trust_path/modules/protector/patches included in the protector package.

Quote:
= NEW FEATURE SINCE 3.3: DBLayer trapping anti-SQL-Injection

This feature can beat almost malicious SQL Injection attacks if you uses some modules vulnerable to "SQL Injection".

However, you have to patch a file "class/database/databasefactory.php" to enable the feature.

I prepared patches/ folder, and it contains patched databasefactory.php for each cores.

Of course, I welcome if each core teams adpot the patches as HEAD
Votes:12 Average:8.33
Previous post - Next post | Parent - No child | Posted on 2009/1/29 8:29
pcnador  Private   Posts: 2
thanks vaughan everything is alright
Votes:10 Average:8.00
Previous post - Next post | Parent - Children.1 | Posted on 2009/8/28 16:50
voltan  Corporal From: iran-tehran  Posts: 70
Votes:10 Average:9.00
Previous post - Next post | Parent - No child | Posted on 2009/8/28 17:23
GIJOE  Gunnery Sergeant   Posts: 4110
hi voltan.

Thank you for the quick contribution!

I've just updated my repository with your language files.
It will be included in the next release.
Votes:11 Average:8.18
Previous post - Next post | Parent - No child | Posted on 2010/1/1 21:02
jagi  Private 1st Class From: Poland  Posts: 15
Upgrading xoops ( or any other admin action with checked files ) blocking site access with info "site manipulation checked".
1. how admin can reset this / "... do not edit this field" ;) / ?
2. why not check : is admin logon and auto turn of this protection in session?
Votes:7 Average:8.57

  Advanced search


Login
Username or e-mail:

Password:

Remember Me

Lost Password?

Register now!